Battery and CPU holder adjustments

This commit is contained in:
Roberto Alsina 2023-02-17 10:08:05 -03:00
parent 424396a266
commit d4e309f081
9 changed files with 71386 additions and 70155 deletions

View File

@ -1,7 +1,7 @@
import cadquery2 as cq
from cadquery2 import exporters
cpu_stand_positions = [(0, 0), (54, 0), (54, 48), (0, 48)]
cpu_stand_positions = [(0, 0), (58, 0), (58, 49), (0, 49)]
lower_stands = cq.Sketch().push(cpu_stand_positions).circle(3, mode="a")

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -115,7 +115,7 @@ def model():
.faces(">Y")
.workplane(centerOption="CenterOfBoundBox")
# The position is arbitrary, based on the components available,
.center(width / 2 - 63 - 21, -1)
.center(width / 2 - 67 - 21, -1)
.placeSketch(power_button_cut)
.cutBlind(-shell_t)
# USB inlet
@ -175,21 +175,21 @@ def model():
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(width / 2 - 40, height / 2 - 65)
.placeSketch(cpu_holder.higher_stands)
.extrude(11)
.extrude(13)
# Battery Stands (lower)
# The +18, -55 is the position of the battery system,
# and should be a parameter (TODO)
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2 + 21, height / 2 - 57)
.center(-width / 2 + 21, height / 2 - 56)
.placeSketch(battery_holder.lower_stands)
.extrude(shell_t + 5)
# Battery Stands (higher)
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2 + 21, height / 2 - 57)
.center(-width / 2 + 21, height / 2 - 56)
.placeSketch(battery_holder.higher_stands)
.extrude(shell_t + 8)
.extrude(shell_t + 11)
)

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -44,7 +44,6 @@ kbd_cable_hole = cq.Sketch().trapezoid(20, 9, 90, mode="a").vertices().fillet(1)
mounting_pillars = (
cq.Sketch()
.polygon([(0, 0), (width, 0), (width, -12), (0, -12), (0, 0)], mode="a")
.push(mounting_pillar_positions)
.trapezoid(-12, 12, 90, mode="a")
.circle(ti_radius, mode="s")

File diff suppressed because it is too large Load Diff